@if (@CodeSection == @Batch) @then
    rem StrangePDFThing.cmd
    @echo off
    color 1a
    setlocal EnableExtensions
    setlocal DisableDelayedExpansion
    
    echo Select SOURCE folder
    for /F "delims=" %%S in ('CScript //nologo //E:JScript "%~F0"') do (
        set srce=%%S
    )
    if "%srce%"=="" goto :End
    echo Selected folder: "%srce%"
    
    set spath=%srce%
    set wdir=%cd%
    echo.%srce% > %TEMP%\header.txt
    %wdir%\txttopdf.exe -pfn101 -pfs20 -pot %TEMP%\header.txt %TEMP%\header.pdf
    pushd %srce%
    echo.Processing: "%srce%"
    %wdir%\pdftk.exe %TEMP%\header.pdf *.pdf cat output %TEMP%\out.pdf
    popd
    del %TEMP%\header.pdf
    ren %TEMP%\out.pdf temp.pdf
    
    dir /b /s /ad "%spath%" | sort >%TEMP%\sPDFt.txt
    for /f "tokens=*" %%a in (%TEMP%\sPDFt.txt) do call :DoSomething "%%~a"

    goto :End

    :DoSomething
    echo.Processing: "%~1"
    pushd "%~1"
    if not exist "*.pdf" goto :SkipIt
    echo.%~1 > %TEMP%\header.txt
    %wdir%\txttopdf.exe -pfn101 -pfs20 -pot %TEMP%\header.txt %TEMP%\header.pdf
    %wdir%\pdftk.exe %TEMP%\temp.pdf %TEMP%\header.pdf *.pdf cat output %TEMP%\out.pdf
    popd
    del %TEMP%\header.pdf
    del %TEMP%\temp.pdf
    ren %TEMP%\out.pdf temp.pdf
    :SkipIt
    goto :EOF
    endlocal

    :End
    del %TEMP%\sPDFt.txt
    del %TEMP%\header.txt
    ren %TEMP%\temp.pdf Combined.pdf
    move %TEMP%\Combined.pdf %wdir%
    exit
    
    End of Batch section
@end


// JScript section

// Creates a dialog box that enables the user to select a folder and display it.
var title = "Select a folder", rootFolder = 0x11;
var shl = new ActiveXObject("Shell.Application");
var folder = shl.BrowseForFolder(0, title, 0, rootFolder);
WScript.Stdout.WriteLine(folder ? folder.self.path : "");
